<?php
$wp_customize->add_section(
	'featured_section',
	array(
		'priority'       => 1,
		'panel'          => 'faith-blog',
		'title'          => __( 'Featured Section', 'faith-blog' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'featured_section_on_off',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'faith_blog_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'featured_section_on_off',
	array(
		'label'       => __( 'Featured Section On//Off', 'faith-blog' ),
		'section'     => 'featured_section',
		'type'        => 'checkbox',
	)
);

$wp_customize->add_setting(
	'featured_categories',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'faith_blog_category_sanitize',
	)
);

$wp_customize->add_control(
	new faith_blog_Customize_Control_Multiple_Select (
	$wp_customize, 
	'featured_categories',
	array(
		'label'       => __( 'Select Posts Categries', 'faith-blog' ),
		'section'     => 'featured_section',
		'type'        => 'faith-blog-multiple-select',
		'choices' => faith_blog_get_categories(),
	)
));



$wp_customize->add_setting( 'pro_featured_options',
    array(
        'default' => '',
        'sanitize_callback' => 'wp_kses_post',
    )
);

$theme_info = '<div class="pro-features"><h2>'.__('Available Options In Pro Version', 'faith-blog').'</h2><ul>';
$theme_info .= '<li>' . __( 'Full Width Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Custom Query For Featured Post Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Display Most Popular Or Recent Post In Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Display Most Commented Or Viewed Post In Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Display Specific Categories Post In Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Total Post In Slider', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Post Ordering and many more options', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( '2 Different Slider Layout', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'All Element Show//Hide Options', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Options For Categories, Excerpt, Author, Date, And Views', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Slider Settings', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Slider Height, Slide To Show, Slider AutoPlay, Enable//Disable Center Mode ', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Slider Next, Prev nav', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Dots', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Enable//Disable Slider Loop', 'faith-blog' ) . '</li><li>';
$theme_info .= sprintf( __( '%1$sClick Here To Download Pro%2$s', 'faith-blog' ),  '<a href="' . esc_url( 'https://theimran.com/themes/wordpress-theme/blog-starter-pro-personal-blog-wordpress-theme/' ) . '" target="_blank">', '</a>' );
$theme_info .= '</li></ul></div>';


$wp_customize->add_control( new Faith_Blog_Note_Control( $wp_customize,
    'pro_featured_options', 
        array(
            'section'     => 'featured_section',
            'description' => $theme_info
        )
    )
);