<?php
/**
 * Sticky Header
 */
$wp_customize->add_section(
	'header_sections',
	array(
		'priority'       => 1,
		'panel'          => 'faith-blog',
		'title'          => __( 'Header Section', 'faith-blog' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'transparent_menu_bg',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'faith_blog_sanitize_checkbox'
	)
);
$wp_customize->add_control(
	'transparent_menu_bg',
	array(
		'label'       => __( 'Transparent Menu Background', 'faith-blog' ),
		'section'     => 'header_sections',
		'type'        => 'checkbox',
	)
);

$wp_customize->add_setting(
	'sticky_header',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'faith_blog_sanitize_checkbox'
	)
);
$wp_customize->add_control(
	'sticky_header',
	array(
		'label'       => __( 'Sticky Header On//Off', 'faith-blog' ),
		'section'     => 'header_sections',
		'type'        => 'checkbox',
	)
);



$wp_customize->add_setting( 'pro_header_options',
    array(
        'default' => '',
        'sanitize_callback' => 'wp_kses_post',
    )
);
$theme_info = '<div class="pro-features"><h2>'.__('Available Options In Pro Version', 'faith-blog').'</h2><ul>';
$theme_info .= '<li>' . __( '3 Different Header Layouts', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Options For All Header Elements', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Date', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Social Links', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Search Form', 'faith-blog' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Toggle Menu Button', 'faith-blog' ) . '</li><li>';
$theme_info .= sprintf( __( '%1$sClick Here To Download Pro%2$s', 'faith-blog' ),  '<a href="' . esc_url( 'https://theimran.com/themes/wordpress-theme/blog-starter-pro-personal-blog-wordpress-theme/' ) . '" target="_blank">', '</a>' );
$theme_info .= '</li></ul></div>';


$wp_customize->add_control( new Faith_Blog_Note_Control( $wp_customize,
    'pro_header_options', 
        array(
            'section'     => 'header_sections',
            'description' => $theme_info
        )
    )
);


$wp_customize->add_setting(
	'header_height',
	array(
		'default' => 120,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'faith_blog_sanitize_number_absint',
	)
);
$wp_customize->add_control(
	'header_height',
	array(
		'label'       => __( 'Logo Section Height', 'faith-blog' ),
		'section'     => 'header_sections',
		'type'        => 'number',
	)
);